<?php namespace Lib\Admin\User;

use Cartalyst\Sentry\Users\EloquentUser as User;
use Input, Sentry;

class UserGestion extends \Lib\Shared\BaseGestion 
{

	public function index($nombre)
	{
		$users = User::paginate($nombre);
		return compact('users');
	}

	public function show($id)
	{
		$user = Sentry::findById($id);
		$permission = head(array_keys($user->permissions));
		return compact('user', 'permission');		
	}

	public function store()
	{
		Sentry::registerAndActivate(array_merge($this->getInput(), ['password' => 'password']));
	}

	public function edit($id)
	{
		return $this->show($id);
	}

	public function update($id) 
	{
		return Sentry::update(Sentry::findById($id), $this->getInput());
	}

	public function destroy($id)
	{
    Sentry::findById($id)->delete();		
	}

	protected function getInput()
	{
		return array_merge(Input::all(), ['permissions' => [Input::get('permission') => true]]);
	}

}