@extends('Shared.views.main')

@section('contenu')
	<br>
	<div class="col-sm-offset-2 col-sm-8">
		@if(Session::has('success'))
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
				{{ Session::get('success') }}
			</div>
		@endif
		<div class="panel panel-primary">
			<div class="panel-heading">
				<h3 class="panel-title">Liste des utilisateurs</h3>
			</div>
			<table class="table">
				<thead>
					<tr>
						<th>#</th>
						<th>Email</th>
						<th></th>
						<th></th>
						<th></th>
					</tr>
				</thead>
				<tbody>
				  @foreach ($users as $user)
				  	<tr>
					    <td>{{ $user->id }}</td>
					    <td class="text-primary"><strong>{{ $user->email }}</strong></td>
					    <td>{{ link_to_route('user.show', 'Détails', array($user->id), array('class' => 'btn btn-success btn-block')) }}</td>
					    <td>{{ link_to_route('user.edit', 'Modifier', array($user->id), array('class' => 'btn btn-warning btn-block')) }}</td>
					    <td><button type="button" class="btn btn-danger btn-block" id="{{ $user->id }}">Supprimer</button></td>
				    </tr>
				  @endforeach
	  		</tbody>
			</table>
		</div>
		{{ link_to_route('user.create', 'Ajouter un utilisateur', null, array('class' => 'btn btn-info pull-right')) }}
		{{ $users->links(); }}
	</div>
@stop

@section('scripts')
  <script>
		$(function(){ 
			$('.btn-danger').click(function(e) {
				if(confirm('Vraiment supprimer cet utilisateur ?')) {
					e.preventDefault();
					$.ajax({
						url: 'user/' + $(this).attr('id'),
						type: 'delete'
					})
					.done(function(id) {  
						$('#' + id).parents('tr').remove();
					});
					return false;
				}
			});
		});
  </script>
@stop

