<?php namespace Lib\Shared\Former;

use Illuminate\Html\FormBuilder;
use Request;

class Former extends FormBuilder {

	public function control($type, $errors, $nom, $label, $valeur = '', $placeholder = '')
	{
		if(Request::old($nom)) $valeur = Request::old($nom);
		$attributes = array('class' => 'form-control', 'placeholder' => $placeholder);
		return sprintf('
			<div class="form-group %s">
			%s
			%s
			<small class="text-danger">%s</small>
			</div>',
			$errors->has($nom) ? 'has-error' : '',
			parent::label($nom, $label),
			call_user_func_array(array($this, $type), array($nom, $valeur, $attributes)),
			$errors->first($nom)
		);
	}

	public function pass($errors, $nom, $label, $oubli = null)
	{
		return sprintf('
			<div class="form-group %s">
			%s%s
			%s
			<small class="text-danger">%s</small>
			</div>',
			$errors->has($nom) ? 'has-error' : '',
			parent::label($nom, $label),
			($oubli)? link_to('reset', 'Je l\'ai oublié !', array('class' => 'pull-right')) : '',
			parent::password($nom, array('class' => 'form-control')),
			$errors->first($nom)
		);
	}

	public function button_submit($texte)
	{
		return parent::submit($texte, array('class' => 'btn btn-info pull-right'));
	}

	public function check($nom, $texte, $valeur = false)
	{
		return sprintf('
			<div class="checkbox">
				<label>
			  	%s%s
			  </label>
			</div>',
			parent::checkbox($nom, null, $valeur),
			$texte
		);
	}

	public function option($nom, $texte, $option, $valeur = false)
	{
		return sprintf('
			<div class="radio">
				<label>
			  	%s%s
			  </label>
			</div>',
			parent::radio($nom, $option, $valeur),
			$texte
		);
	}

}
