<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{{ trans('main.mon_joli_site') }}</title>
    {{ HTML::style('https://netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css') }}
    {{ HTML::style('https://netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap-theme.min.css') }}
    <!--[if lt IE 9]>
      {{ HTML::style('https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js') }}
      {{ HTML::style('https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js') }}
    <![endif]-->
  </head>
  <body>
    <nav class="navbar navbar-inverse" role="navigation">
      <div class="container">
        <div class="navbar-header">
          <a class="navbar-brand" href="{{ url('/') }}">Mon joli site</a>
        </div>
        <ul class="nav navbar-nav">
          @if(\Sentry::check())
            <li{{ Request::is('account') ? ' class="active"' : null }} id="compte">{{ link_to('account', trans('main.mon_compte')) }}</li>
            <li id="deconnexion">{{ link_to('logout', trans('main.deconnexion')) }}</li>
            @if(\Sentry::hasAccess('admin'))
              <li{{ Request::is('user*') ? ' class="active"' : null }} id="admin">{{ link_to_route('user.index', trans('main.admin')) }}</li>
            @endif
          @endif
          <li id="connexion"{{ \Sentry::check()? ' class="hidden"' : null }} {{ Request::is('login') ? ' class="active"' : null }}>{{ link_to('login', trans('main.connexion')) }}</li>
        </ul>
      </div>
    </nav>
    <div class="container">
      @yield('contenu')
    </div>
    {{ HTML::script('http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js') }}
    {{ HTML::script('http://netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js') }}
    @if(\Sentry::check())
      <script>
        $(function(){
          $('#deconnexion a').click(function(e){
            e.preventDefault();
            $.ajax({
              url: 'logout',
              type: 'put'
            })
            .done(function(data) {   
              $('#compte, #deconnexion, #admin').addClass('hidden');
              $('#connexion').removeClass('hidden');
            });
            return false;
          });
        });
      </script>
    @endif
    @yield('scripts')
  </body>
</html>