<?php namespace Lib\User\Login;

use Lib\User\Login\LoginValidator as LoginValidator;
use Lib\User\Login\LoginGestion as LoginGestion;
use View, Redirect, Response;

class LoginController extends \Lib\Shared\BaseController {

	protected $validation;
	protected $gestion;

	public function __construct(LoginValidator $validation,	LoginGestion $gestion)
	{
		parent::__construct();
		$this->validation = $validation;
		$this->gestion = $gestion;
	}

	public function getIndex()
	{ 
		return View::make('User.Login.form');
	}

	public function postIndex()
	{
		if ($this->validation->fails()) {
			return Redirect::to('login')
			->withInput()
			->withErrors($this->validation->errors());
		} 

		$result = $this->gestion->authenticate();

		if($result === true) {
			return Redirect::intended();
		}
		
		return Redirect::to('login')->withInput()->with('error', $result);
	}

}
