<?php namespace Lib\User\Login;

use Sentry, Input;
use Cartalyst\Sentry\Checkpoints\NotActivatedException;
use Cartalyst\Sentry\Checkpoints\ThrottlingException;

class LoginGestion extends \Lib\Shared\BaseGestion 
{

	public function authenticate() 
	{
		try
		{
			if(Sentry::authenticate(Input::all(), Input::get('souvenir'), true)){
				return true;
			}
			return trans('user.mauvais_passe');
		}
		catch (NotActivatedException $e)
		{
			return trans('user.compte_pas_actif');
		}
		catch (ThrottlingException $e)
		{
			$time = $e->getDelay();
			return trans('user.throttling_' . $e->getType(), compact('time'));
		}
	}	

}