<?php namespace Lib\User\Pass;

use Lib\User\Pass\PassValidator as PassValidator;
use Lib\User\Pass\PassGestion as PassGestion;
use View, Redirect, Input;

class PassController extends \Lib\Shared\BaseController {

	protected $validation;
	protected $gestion;

	public function __construct(PassValidator $validation,	PassGestion $gestion)
	{
		parent::__construct();
		$this->validation = $validation;
		$this->gestion = $gestion;
	}

	public function getIndex($code, $id)
	{
		return View::make('User.Pass.form', compact('code', 'id'));	
	}

	public function postIndex($code, $id)
	{
		if ($this->validation->fails()) {
		  return Redirect::back()
		  ->withInput()
		  ->withErrors($this->validation->errors());
		}	

		if($this->gestion->complete($code, $id, Input::get('password')) === true) {
			return Redirect::to('login')
			->with('success', trans('user.passe_enregistre'));
		}

		return Redirect::back()
		->with('error', trans('user.passe_pas_enregistre'));
	}

}
