<?php namespace Lib\User\Register;

use Lib\User\Register\RegisterValidator as RegisterValidator;
use Lib\User\Register\RegisterGestion as RegisterGestion;
use View, Redirect, App;

class RegisterController extends \Lib\Shared\BaseController {

	protected $validation;
	protected $gestion;

	public function __construct(RegisterValidator $validation,	RegisterGestion $gestion)
	{
		parent::__construct();
		$this->validation = $validation;
		$this->gestion = $gestion;
	}

	public function getIndex()
	{ 
		return View::make('User.Register.views.form');
	}

	public function postIndex()
	{
		if ($this->validation->fails()) {
		  return Redirect::to('register')
		  ->withInput()
		  ->withErrors($this->validation->errors());
		} 

		if($this->gestion->register()) {
			return Redirect::to('login')->with('info', trans('user.email_envoye'));			
		}

		return Redirect::to('register')->with('error', trans('user.email_pas_envoye'));
	}

	public function getActivation($code, $id)
	{
		if(ctype_digit($id))
		{
			$info = $this->gestion->activation($code, $id);
			return View::make('user.register.views.activation', array('info' => $info));
		}
		App::abort(404);
	}

}
