<?php namespace Lib\User\Register;

use Cartalyst\Sentry\Users as Users;
use Sentry, Input, Mail, Activation;

class RegisterGestion extends \Lib\Shared\BaseGestion 
{

	public function register() 
	{
		$user = Sentry::register(array_merge(Input::all(), ['permissions' => ['user' => true]]));

		$activation = Activation::exists($user) ?: Activation::create($user);

		$code = $activation->code;
		$id = $user->id;

    return Mail::send('User.Register.views.email', compact('code', 'id'), function($message) use ($user)
		{
			$message->to($user->email)->subject(trans('user.activez_compte'));
		});		
	}

	public function activation($code, $id)
	{
		if($user = Sentry::findById($id)) 
		{
			if (Activation::complete($user, $code))
			{
				return trans('user.compte_active');
			}
			return trans('user.compte_pas_active');
		}
		return trans('user.pas_dans_base');
	}

}