<?php namespace Lib\User\Reset;

use Lib\User\Reset\ResetValidator as ResetValidator;
use Lib\User\Reset\ResetGestion as ResetGestion;
use View, Redirect;

class ResetController extends \Lib\Shared\BaseController {

	protected $validation;
	protected $gestion;

	public function __construct(ResetValidator $validation,	ResetGestion $gestion)
	{
		parent::__construct();
		$this->validation = $validation;
		$this->gestion = $gestion;
	}

	public function getIndex()
	{
		return View::make('User.Reset.views.form');		
	}

	public function postIndex()
	{
		if ($this->validation->fails()) {
		  return Redirect::to('reset')
		  ->withInput()
		  ->withErrors($this->validation->errors());
		} 

		if($this->gestion->reset()) {
			return Redirect::to('reset')
			->withInput()
			->with('info', trans('user.email_envoye'));					
		}

		return Redirect::to('register')->with('error', trans('user.email_pas_envoye'));
	}

}
