<?php namespace Lib\User\Reset;

use Sentry, Input, Mail, Reminder;

class ResetGestion extends \Lib\Shared\BaseGestion 
{

	public function reset()
	{
		$email = Input::get('email');

		$user = Sentry::findByCredentials(compact('email'));

		$reminder = Reminder::exists($user) ?: Reminder::create($user);

		$code = $reminder->code;
		$id = $user->id;

		return Mail::send('User.Reset.views.email', compact('code', 'id'), function($message) use ($email)
		{
			$message->to($email)->subject(trans('user.reinitialisation_passe'));
		});	
	}

}